package org.enhydra.barracuda.contrib.dbroggisch.display.filters;

import java.util.*;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import org.enhydra.barracuda.contrib.dbroggisch.display.filters.dtd.*;
import java.lang.reflect.Field;
import org.apache.log4j.*;

public class CountFilter implements Filter {
    private static Logger logger = Logger.getLogger(CountFilter.class.getName());


    /**
     *
     * @param param1 <description>
     * @return <description>
     */
		public Object filter(Object obj, FilterContext context)
				throws FilterException
		{
				if(obj == null) {
						return null;
				}
				if(obj instanceof java.util.Collection) {
						return new Integer(((Collection)obj).size());
				} else {
						try {
								return new Integer(java.lang.reflect.Array.getLength(obj));
						} catch(IllegalArgumentException ex) {
								throw new FilterException("Not a countable object.");
						}
				}
		}

		public Filter configure(Object obj)
				throws FilterException 
		{
			return this;
		}
}
