package org.enhydra.barracuda.contrib.dbroggisch.display.filters;

import java.util.Locale;

import org.enhydra.barracuda.core.view.ViewCapabilities;
import org.enhydra.barracuda.plankton.data.DefaultStateMap;

public class FilterContext extends DefaultStateMap {
	public static final String FILTER_LOCALE = "DefaultStateMap.FILTER_LOCALE";


	public String _channel;
	

	public FilterContext() {
		this(Locale.getDefault());
	}

	public FilterContext(Locale loc) {
		setLocale(loc);
	}

	public FilterContext(ViewCapabilities vc) {
		this(vc.getClientLocale());
	}


	public String getChannel() {
		return _channel;
	}

	public void setChannel(String channel) {
		_channel = channel;
	}


	public Locale getLocale() {
		return (Locale)getState(FILTER_LOCALE);
	}
	
	public void setLocale(Locale loc) {
		putState(FILTER_LOCALE, loc);
	}
	
}
