/**
 * $Id: DataObjectViewHandler.java,v 1.2 2003/05/06 21:46:20 jacobk Exp $
 */
package org.enhydra.barracuda.contrib.sam.data;

import java.util.*;
import org.enhydra.barracuda.core.comp.*;
import org.enhydra.barracuda.contrib.sam.xmlform.*;
import org.apache.log4j.*;

public abstract class DataObjectViewHandler extends XmlFormViewHandler implements GetConfig {
    
    protected static Logger logger = Logger.getLogger(DataObjectViewHandler.class.getName());
    
    public abstract Config getConfig();
    protected Config config;

    /** set the formmap following the definitions in Config */
    public XmlFormMap getXmlForm(ViewContext vc) {
        config = getConfig();
        XmlFormMap xfm = (XmlFormMap) vc.getEventContext().getState(config.getMapName());
        if (xfm==null) logger.error("no formmap found");
        return xfm;
    }
}
