/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: Model.java,v 1.3 2003/05/06 03:56:32 jacobk Exp $
 */
package org.enhydra.barracuda.core.comp.model;


/**
 * This interface defines a general mechanism to add/remove
 * ModelListeners to a Model. Typically, only components will actually
 * use these methods.
 */
public interface Model {
    public void addModelListener(ModelListener ml);
    public void removeModelListener(ModelListener ml);
}
