/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): Diez Roggisch, Jacob Kjome
 *
 * $Id: RequestWrapper.java,v 1.1 2002/02/18 09:12:05 JacobK Exp $
 */
package org.enhydra.barracuda.core.event;

import javax.servlet.http.*;

/**
 * Simple interface for wrapping an HTTPServletRequest
 *
 * @author  Diez Roggisch <diez.roggisch@artnology.com>
 * @author  Jacob Kjome <hoju@visi.com>
 * @version %I%, %G%
 * @since   1.0.1
 */
public interface RequestWrapper {
    public org.enhydra.barracuda.core.helper.servlet.HttpServletRequestWrapper wrap(HttpServletRequest req);
}
